<!DOCTYPE html>
<html lang="{{ site.lang }}" dir="{{ site.dir }}">
  <head>
    <meta charset="UTF-8">
    <base href="{% base %}" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta name="theme-color" content="white"/>
    <meta name="color-scheme" content="light"/>
    <meta name="referrer" content="strict-origin-when-cross-origin"/>

    {% comment %}
    No tenemos forma de hashear SASS aún, por lo que renovamos la caché
    aplicando la hora de compilación del sitio.  Es importante que los
    CSS se renueven cuando se regenera el sitio, porque pueden contener
    variables dinámicas (como personalización de colores y tipografía) o
    minificarse distinto dependiendo del contenido.
    {% endcomment %}
    <link href="assets/css/styles.css" rel="stylesheet">

    {% comment %}
    Webpack.  La configuración se pasa por variables de entorno, en
    desarrollo hay que evitar el archivo .env (copiarlo de .env.example
    si no existe.
    {% endcomment %}
    <link rel="preload" as="script" type="text/javascript" href="env.js" />
    <script type="text/javascript" src="env.js"></script>
    {% include_cached pack.html %}

    {% comment %}
    Agregar otras tipografías.  Esto hace que las tipografías se carguen
    lo más rápido posible y minimizar el tiempo en que se ven las del
    navegador.  En Firefox todavía no está soportado.

    Fork Awesome lleva la hora de generación para poder renovarlo si
    agregamos íconos nuevos, de lo contrario puede quedar cacheado para
    siempre y les visitantes van a ver íconos rotos.
    {% endcomment %}
    {% include_cached preload_font.html font='assets/fonts/forkawesome-webfont.woff2' %}

    <link rel="icon" type="image/svg+xml" href="public/favicon.svg">
    <link rel="alternate icon" href="public/favicon.ico">
    <link rel="mask-icon" href="public/favicon.svg" color="white">
    <link rel="manifest" href="manifest.json">

    {% seo %}
    {% feed_meta %}
  </head>
  <body class="d-flex flex-column justify-content-between d-print-block min-vh-100">
    {%- include_cached onboarding.html -%}
    {%- include_cached menu.html active_cache_key=page.layout %}
    {% include_cached search.html %}

    <main class="flex-grow-1 container-fluid d-flex flex-column justify-content-start">
      {{ content }}
    </main>

    {% include_cached footer.html %}
  </body>
</html>
